UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_ssrc_send_ex_info_t_stct Struct Reference

Structure that holds information for the extended smart source send calls. More...

`#include <lbm.h>`

## Data Fields
int | flags
| Bitmap indicating which settings are active. Zero or more flag bits ORed together: LBM_SSRC_SEND_EX_FLAG_* (i.e. LBM_SSRC_SEND_EX_FLAG_UME_CLIENTD, LBM_SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO, LBM_SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY, LBM_SSRC_SEND_EX_FLAG_CHANNEL, LBM_SSRC_SEND_EX_FLAG_PROPERTIES, LBM_SSRC_SEND_EX_FLAG_REBUILD_BUFFER, LBM_SSRC_SEND_EX_FLAG_UPDATE_CHANNEL, LBM_SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES, LBM_SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER)
void * | ume_msg_clientd
| Client data pointer to be passed back in source events for stability and confirmations. Set LBM_SSRC_SEND_EX_FLAG_UME_CLIENTD in flags.
int | mprop_int_cnt
| Message property integer count. Set LBM_SSRC_SEND_EX_FLAG_PROPERTIES.
char ** | mprop_int_keys
| Message property pointer to an array of NULL terminated key character strings. Set LBM_SSRC_SEND_EX_FLAG_PROPERTIES.
lbm_int32_t * | mprop_int_vals
| Message property pointer to an array of 32-bit integers. Set LBM_SSRC_SEND_EX_FLAG_PROPERTIES.
lbm_uint32_t | channel
| Spectrum channel number. Set LBM_SSRC_SEND_EX_FLAG_CHANNEL in flags.
char * | usr_supplied_buffer
| Pointer to the user supplied buffer containing the data to send in this message. Set LBM_SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER in flags.

## Detailed Description

Structure that holds information for the extended smart source send calls.

A structure used with UM Smart Sources feature that utilize the extended send calls to pass options.

See Smart Sources for more information on Smart Sources. See also Smart Source Options for configuration information.

See also
  lbm_ssrc_send_ex()

See lbm_ssrc_send_ex_info_t_stct for field definitions.

The documentation for this struct was generated from the following file:

- lbm.h